<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Deputy.ascx.cs" Inherits="Deputy" %>
<table cellSpacing="0" cellPadding="0" width="100%">
<tr>
    <td>&nbsp;</td>
</tr>
<tr>
    <td>
        <asp:datagrid id="uiDeputyGrid" AutoGenerateColumns="False" BorderStyle="Solid" BorderColor="White"
				runat="server" Width="70%" ShowHeader="true">
				<HeaderStyle Font-Bold="True" Wrap="False" BorderStyle="Solid" BorderColor="White" Width="100%"
					BackColor="#DEF2FD"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn>
					    <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
					    <HeaderTemplate>
					        <asp:Label Text='&#160;&#160;<%#_rm.GetString(ResKeys.DeputyColumnHeader)%>&#160;&#160;' ID="uiDeputyHeaderLabel" runat="server">
					        </asp:Label> 
					    </HeaderTemplate>
						<ItemTemplate>
							<asp:Label Text='&#160;&#160;<%# Eval("DeputyDisplayName")%>&#160;&#160;' runat="server" ID="uiDeputyLabel"></asp:Label>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderStyle-Width="20%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
						<HeaderTemplate>
						    <asp:Label Text='&#160;&#160;<%#_rm.GetString(ResKeys.NotifyColumnHeader)%>&#160;&#160;' ID="uiNotifyHeaderLabel" runat="server">
					        </asp:Label> 
						</HeaderTemplate>
						<ItemTemplate>
							<asp:CheckBox CssClass="checkBox" id="uiNotify" Runat="server" Checked='<%#Eval("Notify")%>'></asp:CheckBox>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderStyle-Width="20%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
						<HeaderTemplate>
						    <asp:Label Text='&#160;&#160;<%#_rm.GetString(ResKeys.DeleteColumnHeader)%>&#160;&#160;' ID="uiDeleteHeaderLabel" runat="server">
					        </asp:Label> 
						</HeaderTemplate>
						<ItemTemplate>
							<asp:CheckBox CssClass="checkBox" Checked='<%#Eval("DeleteMark") %>' id="uiDeleteMark" Runat="server"></asp:CheckBox>
						</ItemTemplate>
					</asp:TemplateColumn>
					
				</Columns>
			</asp:datagrid>
    </td>
</tr>
<tr>
    <td>&nbsp;</td>
</tr>
<tr>
	<td>
		<table width="70%">
		    <tr>
			    <td>
			        <asp:Label runat="server" ID="uiAddDeputyField" Text='<%#_rm.GetString(ResKeys.AddDeputyField)%>'></asp:Label>
				    <asp:dropdownlist id="uiAddDeputyList" runat="server"></asp:dropdownlist>&nbsp;<asp:button id="uiAddDeputyButton" runat="server" Text='<%#_rm.GetString(ResKeys.AddDeputyButton)%>' OnClick="uiAddDeputyButton_Click"></asp:button>
				</td>
			    <td align="right">
		            <asp:Label id="uiMessage" runat="server" ForeColor="Red"></asp:Label></td>
		    </tr>
		    <tr>
		        <td colspan="2">
                    &nbsp;</td>
		    </tr>
		    
		    <tr>
		        <td>
                    <asp:CheckBox CssClass="checkBox" Checked='<%#_sessionData.UserProperties.AllowDeputyNotification%>' Text='<%#_rm.GetString(ResKeys.AllowDeputyNotification)%>' ID="uiAllowDeputyNotification" runat="server" />
		        </td>
		         <td align="right">
		            <asp:button id="uiApply" runat="server" Text='<%#_rm.GetString(ResKeys.ApplyButton)%>' OnClick="uiApply_Click"></asp:button>
		            <asp:Button ID="uiSave" runat="server" Text='<%#_rm.GetString(ResKeys.SaveButton)%>' OnClick="uiSave_Click" />
		         </td>
		    </tr>
		</table>
	</td>
</tr>

</table>
<asp:HiddenField ID="uiWebFormId" runat="server" />
