<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FolderMgmt.ascx.cs" Inherits="FolderMgmt" %>
<asp:HiddenField ID="hidSessionId" runat="server" />
<table>
<tr>
    <td valign="top" style="width: 217px">
        <asp:Panel ID="Panel1" runat="server" Width="250px" Height="500px" ScrollBars="Auto" BorderStyle="Ridge">
        <asp:TreeView Width="245px" Height="90%" ID="uiDirectoryTree" runat="server" OnSelectedNodeChanged="uiDirectoryTree_SelectedNodeChanged" PopulateNodesFromClient="False" >
        <NodeStyle ForeColor="BlueViolet" />
        <SelectedNodeStyle Font-Bold="true" />
        </asp:TreeView>
        </asp:Panel><br />
        <a href='<%#GetPermissionMgmtUrl()%>' target="_blank"><%#_rm.GetString(ResKeys.RootFolderPermissions) %></a>
        
    </td>
    <td valign="top">
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblNewFolderName" runat="server" Text='<%#_rm.GetString(ResKeys.NewFolderNameLabel) %>'></asp:Label>
                    <asp:TextBox ID="uiNewFolderName" runat="server"></asp:TextBox>
                    <asp:Button ID="uiNewFolderButton" runat="server" Text='<%#_rm.GetString(ResKeys.NewFolderButton) %>' OnClick="uiNewFolderButton_Click" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="uiErrorMessage" runat="server" Text="" ForeColor="Red" Visible="false" EnableViewState="false"></asp:Label>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="uiFolderGrid" runat="server" 
                        AutoGenerateColumns="false" 
                        OnRowCancelingEdit="uiFolderGrid_RowCancelingEdit" 
                        OnRowDeleting="uiFolderGrid_RowDeleting" 
                        OnRowEditing="uiFolderGrid_RowEditing" 
                        OnRowUpdated="uiFolderGrid_RowUpdated" 
                        OnRowUpdating="uiFolderGrid_RowUpdating" 
                        ShowHeader="false">
                        
                        <Columns>
                            
                            <asp:TemplateField
                                ItemStyle-Width="300px"
                                ItemStyle-HorizontalAlign="Center">
                                <ItemTemplate>
                                    <asp:Label ID="uiFolderName" runat="server" Text='<%#Eval("Name") %>'></asp:Label>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="uiFolderNameEdit" runat="server" Text='<%#Eval("Name") %>'></asp:TextBox>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField 
                                ItemStyle-Width="150px"
                                ItemStyle-HorizontalAlign="Center">
                                <ItemTemplate>
                                    <a target="_blank" href='<%#GetPermissionMgmtUrl((int)Eval("FolderId")) %>'>
                                        <%#_rm.GetString(ResKeys.PermissionsInGrid) %>
                                    </a>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:CommandField 
                                ButtonType="Button"  
                                ShowEditButton="true" ShowDeleteButton="true" 
                                 ItemStyle-Width="250px"
                                 ItemStyle-HorizontalAlign="Center"
                                />
                            
                        </Columns>
                        
                    </asp:GridView>
                    
                </td>
            </tr>
        
        </table>
    
    </td>
</tr>
</table>