<%@ Page Language="C#" AutoEventWireup="true" CodeFile="LoginForUser.aspx.cs" Inherits="LoginForUser" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link rel="stylesheet" type="text/css" href="css/StyleSheet.css" />
    <title><%#_rm.GetString(ResKeys.LoginFormHeaderCaption) %></title>
    <style type="text/css">
        #loginFrame
        {
        	width:50%;
        	margin-left:auto;
        	margin-right:auto;
        	margin-top:2em;
        	background-image:url('g/blue-gradient.png');
        	background-repeat:repeat-x;
        }
    
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    
    <div id="loginFrame">
    
    <table width="100%" style="border:solid 1px black;">
    <tr>
    <td colspan="2" align="center">
    
    <asp:Label ID="uiLoginFormHeader" runat="server" Text='<%#_rm.GetString(ResKeys.LoginFormHeaderCaption) %>'></asp:Label>
    </td>
    </tr>
    <tr>
    <td style="width:8em">
    <asp:Label ID="uiUserLabel" runat="server" Text='<%#_rm.GetString(ResKeys.User)%>'></asp:Label>
    </td>
    <td>
        <asp:DropDownList ID="uiUser" runat="server" Width="100%"></asp:DropDownList>
    </td>
    </tr>
    <tr>
    <td>
        <asp:Label ID="uiPasswordLabel" runat="server" Text='<%#_rm.GetString(ResKeys.Password) %>' ></asp:Label>
    </td>
    <td>
        <asp:TextBox ID="uiPassword" runat="server" TextMode="Password" Width="12em" ></asp:TextBox>
    </td>
    </tr>
    <tr>
    <td colspan="2" align="right">
        <asp:CheckBox CssClass="checkBox" ID="uiSavePassword" runat="server" Text='<%#_rm.GetString(ResKeys.SavePasswordCheckbox)%>'/>
    </td>
    </tr>
    <tr>
    <td colspan="2" align="right">
        <asp:Button ID="uiLogin" runat="server" Text='<%#_rm.GetString(ResKeys.LoginButton) %>' OnClick="uiLogin_Click" Width="8em"/>
    </td>
    </tr>
    <tr>
    <td colspan="2" align="center">
        <asp:Label ID="uiResultText" runat="server" Visible="false" CssClass="errorText"></asp:Label>
    </td>
    </tr>
    
    
    </table>
    </div>
    </div>
    </form>
</body>
</html>
