//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class DcFolder
    {
        private string _name;
        public string Name
        {
            get { return _name; }
        }

        private int _id;
        public int Id
        {
            get { return _id; }
        }

        private int? _parent;
        public int? Parent
        {
            get { return _parent; }
        }

        private DcFolder[] _folders = new DcFolder[0];
        public DcFolder[] Folders
        {
            get { return _folders; }
            set { _folders = value; }
        }

        public DcFolder(int id, int? parent, string name)
        {
            _id = id;
            _parent = parent;
            _name = name;
        }
    }
}
