//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class DeputyItem
    {
        private int? _deputyId;

        public int? DeputyId
        {
            get { return _deputyId; }
            set { _deputyId = value; }
        }


        private int _user;

        public int User
        {
            get { return _user; }
            set { _user = value; }
        }

        private int _deputy;

        public int Deputy
        {
            get { return _deputy; }
            set { _deputy = value; }
        }


        private bool _notify;

        public bool Notify
        {
            get { return _notify; }
            set { _notify = value; }
        }

        public DeputyItem(int user, int deputy, bool notify)
            : this(null, user, deputy, notify)
        {
        }

        public DeputyItem(int? deputyId, int user, int deputy, bool notify)
        {
            _deputyId = deputyId;
            _user = user;
            _deputy = deputy;
            _notify = notify;
        }
    }
}
