//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Data;
using System.Configuration;

namespace Evpo.DocCirc.Common
{
    /// <summary>
    /// Summary description for StateKeys
    /// </summary>
    /// 
    public struct AppStateKeys
    {
        public const string SettingKeeper = "SettingKeeper";
        public const string ServiceUserInfo = "ServiceUserInfo";
        public const string Page01MainMenuKeeper = "Page01MainMenuKeeper";
        public const string Notificator = "Notificator";
        public const string ApplicationDataConnection = "ApplicationDataConnection";
        public const string IsSetupNeeded = "IsSetupNeeded";
    }

    /// <summary>
    /// 
    /// </summary>
    public struct SessionStateKeys
    {
        public const string UserSession = "UserSession";
    }


}