//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Evpo.DocCirc.Common;
using System.Resources;

public partial class About : System.Web.UI.UserControl
{
    #region Resources
    private const string _controlName = "About.ascx";
    public struct ResKeys
    {
        public const string ApplicationName = "ApplicationName";
        public const string VersionLabel = "VersionLabel";
        public const string ContactInformationLabel = "ContactInformationLabel";
        public const string AuthorLabel = "AuthorLabel";
        public const string Author = "Author";
        public const string WebSiteLabel = "WebSiteLabel";
        public const string LicenseTypeLabel = "LicenseTypeLabel";
        public const string GnuLicense = "GnuLicense";
    }
    protected ResourceManager _rm;
    #endregion

    protected void Page_Init(object sender, EventArgs e)
    {
        _rm = ResourceHelper.Current.GetResourceManagerForPage(_controlName);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        uiVersion.Text = (new AssemblyInfo()).GetVersion();
        this.DataBind();
    }
}
