<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AppSettingMgmt.ascx.cs" Inherits="AppSettingMgmt" %>
<asp:HiddenField ID="hidSessionId" runat="server" />
<table>
    <tr>
        <td>
            <asp:Label ID="lblDomain" runat="server" Text='<%#_rm.GetString(ResKeys.DomainLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiDomain" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblLogFile" runat="server" Text='<%#_rm.GetString(ResKeys.LogFileLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiLogFile" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblServiceUserLogin" runat="server" Text='<%#_rm.GetString(ResKeys.ServiceUserLoginLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiServiceUserLogin" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblConnectionString" runat="server" Text='<%#_rm.GetString(ResKeys.ConnectionStringLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiConnectionString" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblAttachmentBufferSize" runat="server" Text='<%#_rm.GetString(ResKeys.AttachmentBufferSizeLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiAttachmentBufferSize" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td style="height: 26px">
            <asp:Label ID="lblAttachmentFolder" runat="server" Text='<%#_rm.GetString(ResKeys.AttachmentFolderLabel) %>'></asp:Label>
        </td>
        <td style="height: 26px">
            <asp:TextBox ID="uiAttachmentFolder" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    
    <tr>
        <td>
            <asp:Label ID="lblEmailMessagingServer" runat="server" Text='<%#_rm.GetString(ResKeys.EmailMessagingServerLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiEmailMessagingServer" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblEmailMessagingAccount" runat="server" Text='<%#_rm.GetString(ResKeys.EmailMessagingAccountLabel)%>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiEmailMessagingAccount" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblEmailMessagingPassword" runat="server" Text='<%#_rm.GetString(ResKeys.EmailMessagingPasswordLabel)%>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiEmailMessagingPassword" runat="server" TextMode="Password" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblEmailMessagingSSLEnabled" runat="server" Text='<%#_rm.GetString(ResKeys.EmailMessagingSSLEnabled)%>'></asp:Label>
        </td>
        <td>
            <asp:CheckBox CssClass="checkBox" ID="uiEmailMessagingSSLEnabled" runat="server" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblIMWebService" runat="server" Text='<%#_rm.GetString(ResKeys.IMWebServiceLabel) %>'></asp:Label>
        </td>
        <td>
            <asp:TextBox ID="uiIMWebService" runat="server" Width="300px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblIMWebServiceEnabled" runat="server" Text='<%#_rm.GetString(ResKeys.IMWebServiceEnabledCheckBox) %>'></asp:Label>
        </td>
        <td><asp:CheckBox CssClass="checkBox" ID="uiIMWebServiceEnabled" runat="server" /></td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblEmailMessagingEnabled" runat="server" Text='<%#_rm.GetString(ResKeys.EmailMessagingEnabledCheckBox) %>'></asp:Label>
        </td>
        <td>
            <asp:CheckBox CssClass="checkBox" ID="uiEmailMessagingEnabled" runat="server"/>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right">
            <asp:Button ID="uiSave" runat="server" Text='<%#_rm.GetString(ResKeys.SaveButton) %>' OnClick="uiSave_Click" />
            <asp:Button ID="uiResetApplication" runat="server" Text='<%#_rm.GetString(ResKeys.ResetApplication) %>' OnClick="uiResetApplication_Click" />
        </td>
    </tr>


</table>
