<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DocCardList.ascx.cs" Inherits="DocCardList" %>
<table cellspacing="0" cellpadding="0" width="100%">
    
    <tr><td colspan="2" style="font-size:x-small"><asp:Label ID="uiMessage" runat="server" Text="" Style="color:Red" EnableViewState="false"></asp:Label></td></tr>
	<tr>
		<td style="width:300px"><a style="FONT-SIZE: x-small"><%#_rm.GetString(ResKeys.DocCardsTotalCount)%>&nbsp;</a>
			<asp:label id="uiDocQuantity" runat="server" Font-Size="X-Small"></asp:label>
	    </td>
		<td align="right" valign="middle">
            <asp:Button ID="uiRefresh" runat="server" Text='<%#_rm.GetString(ResKeys.RefreshButton) %>' OnClick="uiRefresh_Click" />
            &nbsp;<asp:DropDownList ID="uiStatus" runat="server" ToolTip='<%#_rm.GetString(ResKeys.DocStatusToolTip)%>' Font-Bold="true" AutoPostBack="True" OnSelectedIndexChanged="uiStatus_SelectedIndexChanged">
            </asp:DropDownList>
            &nbsp;<asp:Button ID="uiDeleteItems" runat="server" Text='<%#_rm.GetString(ResKeys.DeleteCheckedDocCards) %>' OnClick="uiDeleteItems_Click" />
        </td>	
	</tr>
	<tr>
		<td valign="middle" colspan="2">&nbsp;&nbsp;&nbsp;
			<asp:linkbutton id="uiPrevPage" runat="server" onclick="uiPrevPage_Click">
				<img src='g/prev-page.gif' width='22' height='15' alt='<%#_rm.GetString(ResKeys.Previous)%>' border='0' align='absmiddle'/></asp:linkbutton><asp:label id="uiDocSpan" runat="server" Font-Size="X-Small"></asp:label><asp:linkbutton id="uiNextPage" runat="server" onclick="uiNextPage_Click"><img src='g/next-page.gif' width='22' height='15' alt='<%#_rm.GetString(ResKeys.Next)%>' border='0' align='absmiddle'></asp:linkbutton></td>
	</tr>
	<tr>
		<td colspan="2">
		    <asp:datagrid Font-Size="small" id="uiMainGrid" runat="server" AllowSorting="True" AutoGenerateColumns="False"
				BorderStyle="Solid" BorderColor="White" AllowPaging="True" PageSize="30" Width="100%">
				<HeaderStyle Font-Bold="True" Wrap="False" BorderWidth="1px" BorderStyle="Solid" BorderColor="White"
					Width="100%"></HeaderStyle>
				<Columns>
				    <asp:TemplateColumn>
				        <HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
				        <ItemTemplate>
				            <asp:CheckBox CssClass="checkBox" runat="server" ID="uiDeleteMark" Checked='<%# DataBinder.Eval(Container, "DataItem.Checked") %>'/>    
				        </ItemTemplate>
				    </asp:TemplateColumn>
				    
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiInternalNumHdr" OnCommand="uiMainGridHdr_Command" CommandName="InternalNumber" runat="server"
								ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.InternalNumColumnName) %></b>
							</asp:LinkButton>
							<%# _orderPictures["InternalNumber"] %>
						</HeaderTemplate>
						<ItemTemplate>
							<TABLE>
								<TR>
									<TD>&nbsp;</TD>
									<TD valign="middle">
									    <a href='<%# DataBinder.Eval(Container, "DataItem.Url") %>' Target="_blank" ><%# GetImageForStatus((int)DataBinder.Eval(Container, "DataItem.DocStatus")) %><%# DataBinder.Eval(Container, "DataItem.InternalNumber") %></a>
									    
								</TR>
							</TABLE>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiSubjectHdr" OnCommand="uiMainGridHdr_Command" CommandName="Subject" runat="server"
								ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.SubjectColumnName)%></b>
							</asp:LinkButton>
							<%# _orderPictures["Subject"] %>
						</HeaderTemplate>
						<ItemTemplate>
							<table>
								<tr>
									<td>&nbsp;</td>
									<td>
										<asp:Label ID="Label1" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Subject") %>'>
										</asp:Label>
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiRegisteringUserNameHdr" OnCommand="uiMainGridHdr_Command" CommandName="RegisteringUserName"
								runat="server" ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.RegisteringUserColumnName) %></b>
							</asp:LinkButton>
							<%# _orderPictures["RegisteringUserName"] %>
							&nbsp;
						</HeaderTemplate>
						<ItemTemplate>
							<table>
								<tr>
									<td>&nbsp;</td>
									<td>
										<asp:Label ID="Label2" runat="server" Text='<%# Eval(ExtendedFieldName.RegisteringUserName) %>'>
										</asp:Label>
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiConsideringEmployeeNames" OnCommand="uiMainGridHdr_Command" CommandName="ConsideringEmployeeNames"
								runat="server" ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.ConsideringEmployeesColumnName) %></b>
							</asp:LinkButton>
							<%# _orderPictures[ExtendedFieldName.ConsideringEmployeeNames]%>
						</HeaderTemplate>
						<ItemTemplate>
							<table>
								<tr>
									<td>&nbsp;</td>
									<td>
										<asp:Label ID="Label3" runat="server" Text='<%# Eval(ExtendedFieldName.ConsideringEmployeeNames) %>'>
										</asp:Label>
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<ItemStyle HorizontalAlign="Right"></ItemStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiLastMovement" OnCommand="uiMainGridHdr_Command" CommandName="LastMovement"
								runat="server" ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.LastMovementColumnName) %></b>
							</asp:LinkButton>
							<%# _orderPictures["LastMovement"] %>
							&nbsp;
						</HeaderTemplate>
						<ItemTemplate>
							<table>
								<tr>
									<td>&nbsp;</td>
									<td>
										<asp:Label ID="Label4" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.LastMovement") %>' >
										
										</asp:Label>
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle Wrap="False" BackColor="#DEF2FD"></HeaderStyle>
						<ItemStyle HorizontalAlign="Right"></ItemStyle>
						<HeaderTemplate>
							&nbsp;&nbsp;
							<asp:LinkButton id="uiDaysAfterMovement" OnCommand="uiMainGridHdr_Command" CommandName="DaysAfterMovement"
								runat="server" ForeColor="#000000">
								<b><%#_rm.GetString(ResKeys.DaysAfterMovementColumnName) %></b>
							</asp:LinkButton>
							<%# _orderPictures["DaysAfterMovement"] %>
							&nbsp;
						</HeaderTemplate>
						<ItemTemplate>
							<table>
								<tr>
									<td>&nbsp;</td>
									<td align="right">
										<asp:Label ID="Label5" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.DaysAfterMovement") %>' >
										</asp:Label>
										&nbsp;
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
				<PagerStyle Visible="False" HorizontalAlign="Center" Mode="NumericPages"></PagerStyle>
			</asp:datagrid></td>
	</tr>
</table>
