<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentCard.aspx.cs" Inherits="DocumentCard" Async="true" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link rel="stylesheet" type="text/css" href="css/StyleSheet.css" />
    <title>Untitled Page</title>
</head>
<body onload="javascript:Page_OnLoad()" style="background-color: Silver">
   <asp:Literal ID="litScript" runat="server"></asp:Literal>
    
    <script type="text/javascript">
    function SetPage(pageName)
    {
        var hidCurrentPage = document.getElementById("hidCurrentPage");
        
        document.getElementById(hidCurrentPage.value).style.display="none";
        document.getElementById(hidCurrentPage.value + "Href").style.color = "navy";
        
        document.getElementById(pageName).style.display="inline";
        document.getElementById(pageName + "Href").style.color = "#660000";
        hidCurrentPage.value = pageName;
        
        if(pageName == "uiReferencePage" && !referenceTabIsOpened)
        {
            <%=String.Format("{0};", GetPostBackEventReference(uiReferencePageHref))%>
        }
    }
    
    function Page_OnLoad()
    {
        var hidCurrentPage = document.getElementById("hidCurrentPage");
        SetPage(hidCurrentPage.value);
        //useService();  
    }
    
    /*
    function SubmitPage()
    {
        var submitForm = true;
        
        //check uiDocumentDate
        if(!CheckDate(document.getElementById(pref + "uiOriginalDate").value))
        {
            alert("   \" \"");
            submitForm = false;
        }
        
        if(
            !CheckFileName(document.getElementById(pref + "uiFile1").value) ||
            !CheckFileName(document.getElementById(pref + "uiFile2").value) ||
            !CheckFileName(document.getElementById(pref + "uiFile3").value) ||
            !CheckFileName(document.getElementById(pref + "uiFile4").value)
           )
        {
            alert(
            "           . \r\n" +
            " : ()- A-Z 0-9 +-.,()"
            );
            submitForm = false;
        }
            
        
        if(submitForm)
        {
            document.form1.submit();
        }
    }
    */
    
    function CheckDate(dateVal)
    {
        var isGoodDate = true;
        dateVal = dateVal.replace(" ","");
        
        if(dateVal != "")
        {
            var re = /\d+\.\d+\.\d+/i;
            var m = dateVal.match(re);
            
            if(m != null && m == dateVal)
            {
                var s = m[0];
                var arr = s.split(".");
                try
                {
                    var dt = new Date(
                        parseInt(arr[2],10),
                        parseInt(arr[1],10) - 1,
                        parseInt(arr[0],10)
                        );
                    
                    if(dt.getDate() == parseInt(arr[0],10) && dt.getMonth() ==  parseInt(arr[1],10) - 1)
                    {}
                    else
                    {
                        isGoodDate = false;
                    }    
                }
                catch(ex)
                {
                    isGoodDate = false;
                }
            }
            else
            {
                isGoodDate = false;     
            }
        }
        
        return isGoodDate;
    }
    
    function CheckFileName(fullName)
    {
        var retVal = true;
        var fileName = "";
        if(fullName.indexOf("\\") >= 0)
        {
            fileName = fullName.substring(fullName.lastIndexOf("\\") + 1);
        }
        else
        {
            fileName = fullName;
        }
        var re = /[^a-z-0-9+-.,() ]+/i;
        if(fileName.match(re) != null)
        {
            retVal = false;
        }
        return retVal;
        
    }
    
    function EditableSelect_OnChange(uiSelect, uiText)
    {
        if(uiSelect.options[uiSelect.selectedIndex].value == "another" )
        {
            uiText.style.display = "inline";
        }
        else
        {
            uiText.style.display = "none";
            uiText.value = "";
        }
    }  
    
    /*         
    function EditableSelect_OnChange(uiText, value)
    {
        if(value == "another")
        {
           uiText.style.display = "inline";
           uiText.value = "";
        }
        else
        {
            uiText.value = value;
            uiText.style.display = "none";
        }
    }
    */
    </script>

    <form id="form1" runat="server">
        <asp:HiddenField ID="hidCurrentPage" Value="uiDocumentPage" runat="server" />
        <asp:HiddenField ID="hidSessionId" runat="server" />
        <asp:Button ID="uiSave" runat="server" Text='<%#_rm.GetString(ResKeys.SaveAndCloseButton)%>' Visible='<%#_sessionData.CanBeSaved%>' OnClick="uiSave_Click" />
        <!--
        <input type="button" runat="server" visible='<%#_sessionData.CanBeSaved%>' value='<%#_rm.GetString(ResKeys.SaveAndCloseButton) %>' onclick="javascript:SubmitPage()" />
        -->
        <input type="button" value='<%#_rm.GetString(ResKeys.CancelButton) %>' onclick="javascript:window.close()" />&nbsp;<br />
        
        <span runat="server" id="uiDocumentPageButton"><a id="uiDocumentPageHref" href='javascript:SetPage("uiDocumentPage")'
            style="font-weight: bold; color: navy"><%#_rm.GetString(ResKeys.DocumentTab) %></a>&nbsp;&nbsp;&nbsp; </span>
        <span Visible='<%#_sessionData.RouteTabIsVisible%>' runat="server" id="uiRoutePageButton">
            <a id="uiRoutePageHref" href='javascript:SetPage("uiRoutePage")' style="font-weight: bold;
                color: navy"><%#_rm.GetString(ResKeys.RouteTab) %></a>&nbsp;&nbsp;&nbsp;</span>
        <span runat="server" id="uiEventPageButton">
            <a id="uiEventPageHref" href='javascript:SetPage("uiEventPage")' style="font-weight: bold;
                color: navy"><%#_rm.GetString(ResKeys.EventTab) %></a>&nbsp;&nbsp;&nbsp;</span>
        <span runat="server" id="uiAttachmentPageButton">
            <a id="uiAttachmentPageHref" href='javascript:SetPage("uiAttachmentPage")' style="font-weight: bold;
                color: navy"><%#_rm.GetString(ResKeys.AttachmentTab) %></a>&nbsp;&nbsp;&nbsp;</span>
        <span runat="server" id="uiReferencePageButton">
            <asp:PlaceHolder ID="uiReferencePagePlaceHolder" runat="server"></asp:PlaceHolder>    
        </span>
        
        
       
        <br />
        <asp:Label ID="uiDocumentPageError" runat="server" Font-Bold="True" ForeColor="Red" Visible="False" EnableViewState="False"></asp:Label>
        <div id="uiDocumentPage" style="text-decoration: none;display:none">
            <table cellspacing="0" cellpadding="0" border="0" width="100%">
            <tr>
            <td style="width: 121px">&nbsp;</td><td style="width: auto"></td></tr>
                <tr>
                <td style="width: 121px">
                    <asp:Label ID="lblSubject" runat="server" Text='<%# _rm.GetString(ResKeys.SubjectLabel) %>'></asp:Label>
                </td>
                <td style="width: auto">
                    <asp:TextBox ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>' ID="uiSubject" runat="server" Width="98%"></asp:TextBox>
                </td>
            </tr>
            
            <tr>
                <td style="width: 121px">
                    <asp:Label ID="lblDocumentType" runat="server" Text='<%# _rm.GetString(ResKeys.DocTypeLabel) %>'></asp:Label>
                    &nbsp;</td>
                <td style="width: auto">
                    <asp:DropDownList ID="uiDocumentType" runat="server" Width="99%" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>'>
                        </asp:DropDownList>
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            </table>
            <table cellspacing="0" cellpadding="0" border="0">
               
                
                <tr>
                    <td style="width: auto">
                        <asp:Label ID="lblOriginalDateLabel" runat="server" Text='<%# _rm.GetString(ResKeys.OriginalDateLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto">
                        <asp:TextBox ID="uiOriginalDate" ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>' runat="server" Width="210px"></asp:TextBox>
                    </td>
                    <td style="width: auto">
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    </td>
                    <td style="width: auto">
                        <asp:Label ID="lblDocStatus" runat="server" Text='<%# _rm.GetString(ResKeys.DocStatusLabel) %>'></asp:Label>
                        &nbsp;
                    </td>
                    <td style="width: auto">
                        <asp:TextBox ID="uiStatus" ReadOnly="true" runat="server" Width="150px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: auto;">
                        <asp:Label ID="lblOriginalNumber" runat="server" Text='<%# _rm.GetString(ResKeys.OriginalNumberLabel) %>'></asp:Label>
                       </td>
                    <td style="width: auto;">
                        <asp:TextBox ID="uiOriginalNumber" ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>' runat="server" Width="210px"></asp:TextBox>
                    </td>
                    <td style="width: auto;">
                    </td>
                    <td style="width: auto;">
                        <asp:Label ID="lblConsideringUser" runat="server" Text='<%# _rm.GetString(ResKeys.ConsideringUserLabel) %>'></asp:Label>
                        </td>
                    <td style="width: auto;">
                        <asp:TextBox ID="uiConsideringPerson" ReadOnly="true" runat="server"
                            EnableViewState="False" Width="150px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: auto; height: 24px;">
                        <asp:Label ID="lblSendingCompany" runat="server" Text='<%# _rm.GetString(ResKeys.SendingCompanyLabel) %>'></asp:Label>
                        &nbsp;</td>
                    <td style="width: auto; height: 24px;">
                            
                        <asp:DropDownList ID="uiSendingCompany" runat="server" onchange='javascrip:EditableSelect_OnChange(this, document.getElementById("uiSendingCompanyData"))' Width="215px" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>'>
                        </asp:DropDownList><asp:LinkButton ToolTip='<%#_rm.GetString(ResKeys.RefreshCompanyToolTip) %>' ID="uiRefresh2" runat="server" BorderStyle="None" EnableTheming="True" OnClick="uiRefresh2_Click"><img border="0" src="g/refresh.gif" /></asp:LinkButton><br />
                        
                        <asp:TextBox ID="uiSendingCompanyData" runat="server" ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>'
                            Width="210px"></asp:TextBox>
                        
                        <script type="text/javascript">
                        EditableSelect_OnChange(document.getElementById("uiSendingCompany"), document.getElementById("uiSendingCompanyData"));
                        </script>
                        
                    </td>
                    <td style="width: auto; height: 24px;">
                    </td>
                    <td style="width: auto; height: 24px;">
                        <asp:Label ID="lblInternalNumber" runat="server" Text='<%# _rm.GetString(ResKeys.InternalNumberLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto; height: 24px;">
                        <asp:TextBox runat="server" ID="uiInternalNumber" ReadOnly="true" 
                            Width="150px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: auto; height: 47px;">
                        <asp:Label ID="lblReceivingCompany" runat="server" Text='<%# _rm.GetString(ResKeys.ReceivingCompanyLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto; height: 47px;">
                        
                        <asp:DropDownList ID="uiReceivingCompany" runat="server" onchange='javascrip:EditableSelect_OnChange(this, document.getElementById("uiReceivingCompanyData"))' Width="215px" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>'>
                        </asp:DropDownList><asp:LinkButton ID="uiRefresh1" runat="server" ToolTip='<%#_rm.GetString(ResKeys.RefreshCompanyToolTip) %>' OnClick="uiRefresh2_Click"><img src="g/refresh.gif" border="0" /></asp:LinkButton><br />
                        <asp:TextBox ID="uiReceivingCompanyData" ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>' runat="server" 
                            Width="210px"></asp:TextBox>
                        <script type="text/javascript">
                        EditableSelect_OnChange(document.getElementById("uiReceivingCompany"), document.getElementById("uiReceivingCompanyData"));
                        </script>
                            
                            
                    </td>
                    <td style="width: auto; height: 47px;">
                    </td>
                    <td style="width: auto; height: 47px;">
                        <asp:Label ID="lblLastMovement" runat="server" Text='<%# _rm.GetString(ResKeys.LastMovementLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto; height: 47px;">
                        <asp:TextBox ID="uiLastMovement" ReadOnly="true" runat="server" Width="150px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: auto;">
                        <asp:Label ID="lblDepartment" runat="server" Text='<%# _rm.GetString(ResKeys.DepartmentLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto;">
                        <asp:DropDownList ID="uiDepartment" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>' runat="server" Width="215px">
                        </asp:DropDownList></td>
                    <td style="width: auto;">
                    </td>
                    <td style="width: auto;">
                        <asp:Label ID="lblRegistrationDate" runat="server" Text='<%# _rm.GetString(ResKeys.RegistrationDateLabel) %>'></asp:Label>
                        </td>
                    <td style="width: auto;">
                        <asp:TextBox ID="uiRegistrationDate" runat="server" ReadOnly="true"
                            Width="150px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: auto">
                        <asp:Label ID="lblRegisteringUserName" runat="server" Text='<%# _rm.GetString(ResKeys.RegisteringUserNameLabel) %>'></asp:Label>
                        </td>
                    <td style="width: auto;">
                        <asp:DropDownList ID="uiRegisteringUser" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>' runat="server" Width="215px">
                        </asp:DropDownList></td>
                    <td style="width: auto">
                    </td>
                    <td style="width: auto">
                        <asp:Label ID="lblFinalizingDate" runat="server" Text='<%# _rm.GetString(ResKeys.FinalizingDateLabel) %>'></asp:Label>
                    </td>
                    <td style="width: auto">
                        <asp:TextBox ID="uiFinalizingDate" runat="server" ReadOnly="true" 
                            Width="150px"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <table cellspacing="0" cellpadding="0" border="0">
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
            <td>
                <asp:Label ID="lblNote" runat="server" EnableViewState="false" Text='<%#_rm.GetString(ResKeys.NoteLabel) %>'></asp:Label>
                        <br />
                        <asp:TextBox ID="uiNote" ReadOnly='<%#_sessionData.DocumentTabIsReadOnly %>' runat="server" TextMode="MultiLine" 
                            Rows="5" Width="526px"></asp:TextBox>
            </td>
            <td>
                &nbsp;<asp:CheckBox CssClass="checkBox" ID="uiSubmitCard" Enabled='<%#!_sessionData.DocumentTabIsReadOnly %>' runat="server" onclick="javascript:uiSubmitCard_OnClick(this.checked)"
                            />
                <asp:Label ID="lblSetStateToUnderCons" runat="server" Text='<%# _rm.GetString(ResKeys.SetStateToUnderConsLabel) %>'></asp:Label>        
                        <br />
                &nbsp;<asp:CheckBox CssClass="checkBox" ID="uiLockContent" Enabled='<%#!_sessionData.AttachmentReadOnlyCheckBoxIsReadOnly%>' runat="server" />
                <asp:Label ID="lblAttachmentsAreNotChangeable" runat="server" Text='<%# _rm.GetString(ResKeys.AttachmentsAreNotChangeableLabel) %>'></asp:Label>        
                <script type="text/javascript">
                    function uiSubmitCard_OnClick(checked)
                    {
                        if(checked)
                        {
                            document.getElementById(pref + "uiLockContent").removeAttribute("disabled");
                        }
                        else
                        {
                            document.getElementById(pref + "uiLockContent").checked = false;
                            document.getElementById(pref + "uiLockContent").setAttribute("disabled", "disabled");
                        }
                    }
                </script>
            </td>
            
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblFolderName" runat="server" Text='<%#_rm.GetString(ResKeys.FolderNameLabel) %>'></asp:Label>
                    <asp:Label ID="uiFolderName" runat="server" Text=""></asp:Label>
                
                </td>
            </tr>
            <tr>
                <td>
                    <a 
                        href='mailto:&body=<%#HttpUtility.UrlEncode(GetDocumentCardUrl()) %>&subject=<%# HttpUtility.UrlPathEncode(String.Format("{0} : {1}", _sessionData.DocCardItem.InternalNumber, _sessionData.DocCardItem.Subject))%>'
                    >
                        <%#_rm.GetString(ResKeys.EmailReferenceToThisDocCard) %>    
                    </a>
                </td>
            </tr>
            
            </table>
            <br />
            <!--
            <a id="uiReferenceSendingButton" href='javascript:ReferenceSendingButton_OnClick()' style="font-weight: bold;
                color: black">       ...</a>
            <div id="uiReferenceSending" style="display:none">
                <script type="text/javascript">
                    var initialized = false;
                    var opened = false;
                    
                    function InitReferenceSending()
                    {
                        var iCallId = svc.DCService.callService(
                            CallBack_GetUserList,
                            "GetUserList",
                            ""
                            );
                    }
                    
                    function CallBack_GetUserList(result)
                    {
                        if(!result.error)
                        {
                            var m = ParseMarkup(result.value);
                            var uiAllRecipients = document.getElementById("uiAllRecipients");
                            for(var i = 0; i < m.length; i += 2)
                            {
                                var oOption = document.createElement("OPTION");
                                uiAllRecipients.options.add(oOption);
                                oOption.name = m[i];
                                oOption.innerText = m[i];
                                oOption.value = i / 2;
                            }
                        }
                        else
                        {
                            alert(
                                result.errorDetail.code + " " +
                                result.errorDetail.string + " " +
                                result.errorDetail.raw
                                );
                        }  
                    }
                    
                    function ReferenceSendingButton_OnClick()
                    {
                        if(!initialized)
                        {
                            InitReferenceSending();
                            initialized = true;
                        }
                        
                        if(!opened)
                        {
                            document.getElementById("uiReferenceSending").style.display = "inline";
                        }
                        else
                        {
                            document.getElementById("uiReferenceSending").style.display = "none";
                        }
                        opened = !opened;
                    }
                    
                    function uiAddRecipient_OnClick()
                    {
                        var uiAllRecipients = document.getElementById("uiAllRecipients");
                        var uiRecipients = document.getElementById("uiRecipients");
                        var index = uiAllRecipients.selectedIndex;
                        if( index >= 0)
                        {
                            var cEmployee = uiAllRecipients.options.item(index).innerText;
                            var orderIndex = parseInt(uiAllRecipients.options.item(index).value, 10);
                            uiAllRecipients.options.remove(index);
                            var opt = document.createElement("OPTION");
                            uiRecipients.options.add(opt);
                            opt.innerText = cEmployee;
                            opt.value = orderIndex;
                        }
                        else
                        {
                            alert("   !");
                        }
                        
                    }
                    
                    function uiRemoveRecipient_OnClick()
                    {
                        var uiAllRecipients = document.getElementById("uiAllRecipients");
                        var uiRecipients = document.getElementById("uiRecipients");
                        var index = uiRecipients.selectedIndex;
                        if(index >= 0)
                        {
                            var removedOpt = uiRecipients.options.item(index);
                            
                            var insertIndex = -1;
                            for(var i = 0; i < uiAllRecipients.options.length; i ++)
                            {
                                if(uiAllRecipients.options.item(i).value > removedOpt.value)
                                {
                                    insertIndex = i;
                                    break;        
                                }
                            }
                            
                            var opt = document.createElement("OPTION");
                            uiAllRecipients.options.add(opt, insertIndex);
                            opt.innerText = removedOpt.innerText;
                            opt.value = removedOpt.value;
                            
                            uiRecipients.options.remove(index);
                        }
                        else
                        {
                            alert("   !");
                        }
                    }
                    
                    function uiSendMessage_OnClick()
                    {
                        var wasError = false;
                        var subj = document.getElementById(pref + "uiInsideNumber").value + " : " +
                            document.getElementById(pref + "uiSubject").value;
                        var includeAttachments = document.getElementById("uiAttachmentsWithReference").checked;
                        var sessionId = "", template = "";    
                            
                        var callObj = svc.createCallOptions();
                        callObj.funcName = "StartSession";
                        callObj.async = false;
                        var res = svc.DCService.callService(callObj);
                        if(res.error)
                        {
                            alert(
                                res.errorDetail.code + " " +
                                res.errorDetail.string + " " +
                                res.errorDetail.raw
                                );
                            wasError = true;
                        }
                        else
                        {
                            sessionId = res.value;
                        }
                        
                        if(!wasError)
                        {
                            callObj.funcName = "LoadMessageTemplate";
                            res = svc.DCService.callService(callObj, sessionId);
                            if(res.error)
                            {
                                alert(
                                    res.errorDetail.code + " " +
                                    res.errorDetail.string + " " +
                                    res.errorDetail.raw
                                    );
                                wasError = true;
                            }
                            else
                            {
                                template = res.value;
                            }
                        }
                        
                        
                        if(!wasError)
                        {
                            
                            template = template.replace(
                                "^insideNumber^", 
                                document.getElementById(pref + "uiInsideNumber").value
                                );
                            template = template.replace(
                                "^registrator^", 
                                document.getElementById(pref + "uiEmployee").value
                                );
                            template = template.replace(
                                "^documentDate^",
                                document.getElementById(pref + "uiDocumentDate").value
                                );
                            template = template.replace(
                                "^notes^",
                                document.getElementById("uiMessageText").value
                                );
                            template = template.replace(
                                "^message^",
                                " " + cCurrentUser + "         "
                                );
                            template = template.replace(
                                "^ruleToken^",
                                "<>"
                                );
                            
                            var ind = document.getElementById("uiDepartment").selectedIndex;   
                            template = template.replace(
                                "^department^",
                                (ind >= 0) ?
                                    document.getElementById("uiDepartment").options.item(ind).innerText
                                    :
                                    ""
                                );    
                            template = template.replace(
                                "^sendingOrganization^",
                                document.getElementById("uiSendingCompanyData").value
                                );        
                            template = template.replace(
                                "^receivingOrganization^",
                                document.getElementById("uiReceivingCompanyData").value
                                );            
                            
                            ind = document.getElementById("uiDocumentType").selectedIndex;   
                            template = template.replace(
                                "^documentType^",
                                (ind >= 0) ?
                                    document.getElementById("uiDocumentType").options.item(ind).innerText
                                    :
                                    ""
                                );                
                            template = template.replace(
                                "^insideNumber^",
                                document.getElementById("uiInsideNumber").value
                                );   
                            template = template.replace(
                                "^enteringNumber^",
                                document.getElementById("uiReceivedNumber").value
                                );       
                            
                            template = convertStringToHtml(template);
                            var href = convertStringToHtml(thisCardHref);  
                            var insideNum = document.getElementById(pref + "uiInsideNumber").value;  
                            
                            var cImMsgText = " " + cCurrentUser + 
                            "       " + 
                            insideNum + " : " + document.getElementById(pref + "uiSubject").value + 
                            " : " + document.getElementById("uiMessageText").value +
                            " ^documentCardHref^";
                            
                            
                            var uiRecipients = document.getElementById("uiRecipients");
                            for(var i = 0; i < uiRecipients.options.length && !wasError; i ++)
                            {
                                var recip = uiRecipients.options.item(i).innerText;
                                
                                callObj.funcName = "NotifyUserForWebService";
                                
                                res = svc.DCService.callService(
                                    callObj,
                                    sessionId, 
                                    recip,
                                    subj,
                                    template,
                                    insideNum,
                                    href,
                                    includeAttachments
                                    );
                                if(res.error)
                                {
                                    alert(
                                        res.errorDetail.code + " " +
                                        res.errorDetail.string + " " +
                                        res.errorDetail.raw
                                    );
                                    wasError = true;
                                }
                                if(!wasError)
                                {
                                    callObj.funcName = "SendImMessageForWebService";
                                    res = svc.DCService.callService(
                                        callObj,
                                        sessionId,
                                        recip,
                                        cImMsgText,
                                        insideNum,
                                        href
                                        );
                                    if(res.error)
                                    {
                                        alert(
                                            res.errorDetail.code + " " +
                                            res.errorDetail.string + " " +
                                            res.errorDetail.raw
                                        );
                                        wasError = true;
                                    }    
                                }
                            }
                        
                        }
                        
                        if(sessionId != "")
                        {
                            callObj.funcName = "EndSession";
                            svc.DCService.callService(callObj, sessionId);
                        }
                    }
                    
                    function convertStringToHtml(str)
                    {
                        str = str.replace(/</g, "&lt;");
                        str = str.replace(/>/g, "&gt;");
                        str = str.replace(/"/g, "&quot;");
                        str = str.replace(/&/g, "&amp;");
                        str = str.replace(/'/g, "&apos;");
                        return str;
                    }
                </script>
                <table width="100%">
                    <tr>
                    <td colspan="2" style="width: 100%">
                        <select  id="uiAllRecipients" multiple="multiple" style="width: 714px">
                        </select>
                    </td>
                    </tr>
                    <tr>
                    <td>
                        <input id="uiAddRecipient" type="button" value=" -&gt;" style="width:100px" onclick="javascript:uiAddRecipient_OnClick()" /><br />
                        <input id="uiRemoveRecipient" type="button" value=" &lt;-" style="width:100px" onclick="javascript:uiRemoveRecipient_OnClick()"/><br />
                        <input id="uiSendMessage" type="button" value="" style="width:100px" onclick="javascript:uiSendMessage_OnClick()"/>
                    </td>
                    <td>
                        <select id="uiRecipients" multiple="multiple" style="width: 602px">
                        </select>
                    </td>
                    </tr>
                    <tr>
                        <td>
                            :
                        </td>
                        <td >
                            <textarea id="uiMessageText" cols="20" rows="3" style="width: 598px"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><input type="checkbox" id="uiAttachmentsWithReference" />&nbsp;       </td>
                    </tr>
                </table>
            </div>  
            -->
        </div>
        <div id="uiRoutePage" style="display: none">
            <table width="100%">
                <tr>
                    <td align="center" style="width: 100%; height: 27px;" colspan="2">
                        <asp:Label ID="lblRoute" runat="server" Text='<%# _rm.GetString(ResKeys.RouteLabel) %>'></asp:Label>
                    </td>
                    
                </tr>
                <tr>
                    <td valign="top" style="width: 100%; height: 116px;" colspan="2">
                        <asp:ListBox ID="uiRoute" Style="width: 100%; height: 150px; font-size:small;"
                            runat="server" Width="100%"></asp:ListBox>
                    </td>
                </tr>
                <tr>
                    <td style="height: 13px">
                        <asp:Label ID="lblRoutePointNum" runat="server" Text='<%# _rm.GetString(ResKeys.RoutePointNumLabel) %>'></asp:Label>
                        <asp:Label ID="uiRoutePointNum" runat="server"></asp:Label>
                    </td>
                    <td style="height: 13px">
                        &nbsp;</td>
                </tr>
                <tr>
                    <td colspan="2">
                    <table style="width: 100%">
                            <tr>
                                <td style="width: 133px">
                                    <asp:Label ID="lblUser" runat="server" Text='<%# _rm.GetString(ResKeys.UserLabel) %>'></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="uiUser" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 133px">
                                </td>
                                <td>
                                    <asp:Label ID="uiDeputyLabel" runat="server"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 133px">
                                    <asp:Label ID="lblDecision" runat="server" Text='<%# _rm.GetString(ResKeys.DecisionLabel) %>'></asp:Label>
                                </td>
                                <td>

                                    <script type="text/javascript">
                            function uiDecision_OnChange(value)
                            {
                                if(value == "Reject")
                                {
                                    document.getElementById(pref + "uiReturnToPointLabel").style.display = "inline";
                                    document.getElementById(pref + "uiReturnToPoint").style.display = "inline";
                                }
                                else
                                {
                                    document.getElementById(pref + "uiReturnToPointLabel").style.display = "none";
                                    document.getElementById(pref + "uiReturnToPoint").style.display = "none";
                                }
                            }
                            
                                    </script>

                                    <asp:DropDownList ID="uiDecision" Enabled='<%#!_sessionData.RouteTabIsReadOnly%>' onchange="javascript:uiDecision_OnChange(this.value)"
                                        runat="server" Width="158px">
                                    </asp:DropDownList>
                                    &nbsp; &nbsp;&nbsp;
                        <asp:CheckBox CssClass="checkBox" ID="uiSubmitDecision" Enabled='<%#!_sessionData.RouteTabIsReadOnly%>' runat="server" EnableViewState="False" />
                        <asp:Label ID="lblSignDecision" runat="server" Text='<%# _rm.GetString(ResKeys.SignDecisionLabel) %>'></asp:Label>
                        </td>
                            </tr>
                            <tr>
                                <td style="width: 133px">
                                    <span id="uiReturnToPointLabel" style="display: none" name="ReturnToPoint">
                                    <asp:Label ID="lblReturnToRoutePoint" runat="server" Text='<%# _rm.GetString(ResKeys.ReturnToRoutePointLabel) %>'></asp:Label>
                                    </span></td>
                                <td>
                                    <asp:DropDownList ID="uiReturnToPoint" Style="display: none;" runat="server"
                                        Width="158px">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            </table>
                    </td>
                
                </tr>
                <tr>
                <td colspan="2">
                    <asp:Label ID="lblDecisionNote" runat="server" Text='<%# _rm.GetString(ResKeys.DecisionNoteLabel) %>'></asp:Label>
                    <br />
                            <asp:TextBox ID="uiDecisionNote" ReadOnly='<%#_sessionData.RouteTabIsReadOnly%>' Rows="5" runat="server" TextMode="MultiLine"
                                        Width="100%"></asp:TextBox>
                </td>
                    
                </tr>
            </table>
        </div>
        <div id="uiEventPage" style="display: none">
            <asp:Literal ID="uiEvent" runat="server"></asp:Literal>
            <!--<asp:TextBox ID="uiEventOld" Style="width: 100%; background-color: inactivecaptiontext"
                ReadOnly="true" Rows="25" TextMode="MultiLine" runat="server"></asp:TextBox>-->
        </div>
        
        <div id="uiAttachmentPage" style="display: none">
            <table>
                <tr>
                    <td align="center" style="width: 468px">
               
                        <asp:GridView ID="uiAttachmentWell" runat="server" AutoGenerateColumns="False" BorderStyle="Solid" Width="100%">
                            <Columns>
                                <asp:TemplateField ItemStyle-Width="80%">
                                    <HeaderTemplate>
                                        <asp:Label ID="lblFileColumnHeader" runat="server" EnableViewState="false" Text='<%#_rm.GetString(ResKeys.FileColumnHeaderLabel) %>'></asp:Label>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <a href='<%# DataBinder.Eval(Container.DataItem, "Url") %>' target="_blank">
                                            <%# DataBinder.Eval(Container.DataItem, "DisplayName")%>
                                        </a>
                                    </ItemTemplate>
                                
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-Width="20%">
                                    <HeaderTemplate>
                                        <asp:Label ID="lblDeleteColumnHeader" runat="server" EnableViewState="false" Text='<%#_rm.GetString(ResKeys.DeleteColumnHeaderLabel) %>'></asp:Label>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:CheckBox CssClass="checkBox" Enabled='<%#!_sessionData.AttachmentIsReadOnly%>' ID="uiDelete" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        
                        </asp:GridView>
                
                    </td>
                </tr>
                <tr>
                    <td align="center" style="width: 468px">
                        
                    </td>
                </tr>
                <tr>
                    <td align="left" style="width: 468px">
                        <asp:Literal ID="uiAttachmentIstruction" runat="server"></asp:Literal>
                        <label style="font-size: smaller">
                            <%#_rm.GetString(ResKeys.AttachmentInstruction) %>
                        </label>
                    </td>
                </tr>
                <tr>
                    <td align="center" style="width: 468px">
                        <%#_rm.GetString(ResKeys.AddAttachments) %></td>
                </tr>
                <tr>
                    <td style="width: 468px">
                        <asp:FileUpload id="uiFile1" Enabled='<%#!_sessionData.AttachmentIsReadOnly%>' runat="server" Width="100%" />
                        </td>
                </tr>
                <tr>
                    <td style="width: 468px">
                        <asp:FileUpload id="uiFile2" Enabled='<%#!_sessionData.AttachmentIsReadOnly%>' runat="server" Width="100%" />
                        </td>
                </tr>
                <tr>
                    <td style="width: 468px">
                        <asp:FileUpload id="uiFile3" Enabled='<%#!_sessionData.AttachmentIsReadOnly%>' runat="server" Width="100%" /></td>
                </tr>
                <tr>
                    <td style="width: 468px">
                        <asp:FileUpload id="uiFile4" Enabled='<%#!_sessionData.AttachmentIsReadOnly%>' runat="server" Width="100%" /></td>
                </tr>
            </table>
        </div>
        
        <div id="uiReferencePage" style="display: none">
             <table style="width: 700px">
                <tr>
                    <td colspan="3">
                        &nbsp;</td>
                </tr>
                <tr valign="middle">
                    <td style="width: 160px">
                        <asp:Label ID="lblDocType2" runat="server" Text='<%#_rm.GetString(ResKeys.DocTypeLabel)%>'></asp:Label>
                    </td>
                    <td colspan="2" style="width: 600px">
                        <asp:DropDownList ID="uiDocTypeListInRef" runat="server" AutoPostBack="True" OnSelectedIndexChanged="uiDocTypeListInRef_SelectedIndexChanged" Width="599px" Enabled='<%#_sessionData.CanBeSaved %>'>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr valign="middle">
                    <td style="width: 160px">
                        <asp:Label ID="lblInternalNum2" runat="server" Text='<%#_rm.GetString(ResKeys.InternalNumberLabel)%>'></asp:Label>
                    </td>
                    <td colspan="2" style="width: 600px">
                        <asp:DropDownList ID="uiInternalNumList" runat="server" Width="600px" Enabled='<%#_sessionData.CanBeSaved %>'>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td colspan="3" align="right">
                        <asp:Button 
                            ID="uiAddReference" 
                            runat="server" 
                            Text='<%#_rm.GetString(ResKeys.AddReferenceButton) %>' 
                            OnClick="uiAddReference_Click" Visible='<%#_sessionData.CanBeSaved %>'
                        />
                    </td>
                </tr>
                <tr>
                    <td colspan="3" align="right">
                        <asp:Label ID="uiReferenceAdditionErrorMessage" runat="server" ForeColor="Red" Text="" Visible="false" EnableViewState="False"></asp:Label>
                    </td>
                </tr>
            </table>
            <table width="700px">
                <tr>
                    <td align="center" colspan="3">
                        <asp:Repeater ID="uiReferenceList" runat="server">
                            <HeaderTemplate>
                                <table width="700px">
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <a href='<%#Eval("Url") %>' target="_blank" style='color:<%#((bool)Eval("Inaccessible"))?"Red":"Blue"%>'>
                                            <%#Eval("Text") %>
                                        </a>
                                    </td>
                                    <td align="right">
                                        <asp:CheckBox CssClass="checkBox" ID="uiRemoveReference" runat="server" 
                                            Text='<%#_rm.GetString(ResKeys.RemoveCheckBox) %>' 
                                            OnCheckedChanged="uiRemoveReference_OnCheckedChanged" 
                                            AutoPostBack="true" Visible='<%#_sessionData.CanBeSaved %>'
                                        />
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table>
                            </FooterTemplate>
                        </asp:Repeater>
                    </td>
                </tr>
            </table>
        </div>    
        
       </form>        
</body>

</html>
