<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RoleMgmt.ascx.cs" Inherits="RoleMgmt" %>
<asp:HiddenField ID="hidSessionId" runat="server" />
<table style="width:100%">
    <tr>
        <td>
            <asp:Button ID="uiCreate" runat="server" Text='<%#_rm.GetString(ResKeys.CreateRole) %>' OnClick="uiCreate_Click" />
            <asp:Button ID="uiDelete" runat="server" Text='<%#_rm.GetString(ResKeys.DeleteRole) %>' OnClick="uiDelete_Click" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblSelectRole" runat="server" Text='<%#_rm.GetString(ResKeys.SelectRoleLabel) %>'></asp:Label>
            <asp:DropDownList ID="uiRoleList" runat="server" Width="100%" AutoPostBack="True" OnSelectedIndexChanged="uiRoleList_SelectedIndexChanged"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblRoleName" runat="server" Text='<%#_rm.GetString(ResKeys.RoleNameLabel) %>'></asp:Label>
            <asp:TextBox ID="uiRoleName" runat="server" Width="594px"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblNewUser" runat="server" Text='<%#_rm.GetString(ResKeys.NewUserLabel) %>'></asp:Label>
                        <asp:DropDownList ID="uiUserDropDown" runat="server" Width="600px">
                        </asp:DropDownList>
                        <asp:Button ID="uiAddNewUser" runat="server" Text='<%#_rm.GetString(ResKeys.AddNewUserButton) %>' OnClick="uiAddNewUser_Click" />
                        
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Repeater ID="uiUserList" runat="server">
                            <HeaderTemplate>
                                <table width="400px">
                                <tr><td align="center" colspan="2">
                                    <asp:Label ID="lblUserListHeader" runat="server" Text='<%#_rm.GetString(ResKeys.UserListHeader) %>'></asp:Label>
                                </td></tr>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <asp:Label ID="uiUserItem" runat="server" Text='<%#Eval("Login")%>'></asp:Label>
                                    </td>
                                    <td align="right">
                                        <asp:CheckBox CssClass="checkBox" ID="uiRemoveUser" runat="server" Text='<%#_rm.GetString(ResKeys.RemoveUser) %>' AutoPostBack="true" OnCheckedChanged="uiRemoveUser_CheckedChanged"/>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table>
                            </FooterTemplate>
                        </asp:Repeater>
                        
                    </td>
                </tr>
            </table>
        
        </td>
    </tr>
    <tr>
        <td>
             <asp:Button ID="uiSave" runat="server" Text='<%#_rm.GetString(ResKeys.SaveButton) %>' OnClick="uiSave_Click" />
            <asp:Button ID="uiCancel" runat="server" Text='<%#_rm.GetString(ResKeys.CancelButton) %>' OnClick="uiCancel_Click" />
        </td>
    
    </tr>
</table>