<%@ Control Language="C#" AutoEventWireup="true" CodeFile="UserMgmt.ascx.cs" Inherits="UserMgmt" %>
<asp:HiddenField ID="hidSessionId" runat="server" />
<table style="width:100%">
    <tr>
        <td>
            <asp:Button ID="uiCreate" runat="server" Text='<%#_rm.GetString(ResKeys.CreateUser) %>' OnClick="uiCreate_Click" />
            <asp:Button ID="uiDelete" runat="server" Text='<%#_rm.GetString(ResKeys.DeleteUser) %>' OnClick="uiDelete_Click" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="uiErrorMessage" runat="server" Text="" Visible="false" ForeColor="Red" EnableViewState="false"></asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblSelectUser" runat="server" Text='<%#_rm.GetString(ResKeys.SelectUserLabel) %>'></asp:Label>
            <asp:DropDownList ID="uiUserList" runat="server" Width="100%" AutoPostBack="True" OnSelectedIndexChanged="uiUserList_SelectedIndexChanged"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>
            <table style="width: 787px">
                <tr>
                    <td style="width: 196px">
                        <asp:Label ID="lblLogin" runat="server" Text='<%#_rm.GetString(ResKeys.LoginLabel) %>'></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="uiLogin" runat="server" Width="572px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 196px">
                        <asp:Label ID="lblFullName" runat="server" Text='<%#_rm.GetString(ResKeys.FullNameLabel) %>'></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="uiFullName" runat="server" Width="572px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 196px">
                        <asp:Label ID="lblExternalIdentity" runat="server" Text='<%#_rm.GetString(ResKeys.ExternalIdentityLabel) %>'></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="uiExternalIdentity" runat="server" Width="572px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="width: 196px">
                        <asp:Label ID="lblImAddress" runat="server" Text='<%#_rm.GetString(ResKeys.ImAddressLabel) %>'></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="uiImAddress" runat="server" Width="572px"></asp:TextBox>
                    </td>
                </tr>
                <tr><td colspan="2">&nbsp;</td></tr>
                <tr>
                    <td colspan="2">
                        <table>
                            <tr>
                                <td>
                                    <asp:CheckBox CssClass="checkBox" ID="uiAutomaticPass" runat="server" Text='<%#_rm.GetString(ResKeys.AutomaticPassLabel) %>' />
                                </td>
                                <td>
                                    <asp:CheckBox CssClass="checkBox" ID="uiAllowDeputyNotification" runat="server" Text='<%#_rm.GetString(ResKeys.AllowDeputyNotificationLabel) %>' />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:CheckBox CssClass="checkBox" ID="uiInstantMessaging" runat="server" Text='<%#_rm.GetString(ResKeys.InstantMessagingLabel) %>' />
                                </td>
                                <td>
                                    <asp:CheckBox CssClass="checkBox" ID="uiExternalAuthorization" runat="server" Text='<%#_rm.GetString(ResKeys.ExternalAuthorizationLabel) %>' />
                                </td>
                            </tr>
                             <tr>
                                <td>
                                    <asp:CheckBox CssClass="checkBox" ID="uiChangePwdNextTime" runat="server" Text='<%#_rm.GetString(ResKeys.ChangePwdNextTimeLabel) %>' />
                                </td>
                                <td>
                                    
                                </td>
                            </tr>
                            
                        </table>
                
                    </td>
                </tr>
                <tr>
                    <script type="text/javascript">
                        
                        function uiResetPassword_CheckedChanged()
                        {
                            var uiResetPassword = document.getElementById("<%=uiResetPassword.ClientID %>");
                            var uiPassword = document.getElementById("<%=uiPassword.ClientID %>");
                            var uiPasswordConfirmation = document.getElementById("<%=uiPasswordConfirmation.ClientID %>");
                            if(uiResetPassword.checked)
                            {
                                uiPassword.style.backgroundColor = "white";
                                uiPasswordConfirmation.style.backgroundColor = "white";
                                uiPassword.disabled = false;
                                uiPasswordConfirmation.disabled = false;
                            }
                            else
                            {
                                uiPassword.style.backgroundColor = "lightgrey";
                                uiPasswordConfirmation.style.backgroundColor = "lightgrey";
                                uiPassword.disabled = true;
                                uiPasswordConfirmation.disabled = true;
                            }
                        }
                        
                        
                    </script>
                    <td>
                        <asp:CheckBox CssClass="checkBox" ID="uiResetPassword" runat="server" Text='<%#_rm.GetString(ResKeys.ResetPasswordCheckBox) %>' onclick='javascript:uiResetPassword_CheckedChanged()' />
                    </td>
                    <td>
                        <asp:TextBox ID="uiPassword" runat="server" TextMode="Password" ></asp:TextBox><br />
                        <asp:TextBox ID="uiPasswordConfirmation" runat="server" TextMode="Password" ></asp:TextBox>
                    </td>
                    <script type="text/javascript">
                        uiResetPassword_CheckedChanged();
                    
                    </script>
                </tr>
                <tr>
                    <td colspan="2">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblEmail" runat="server" Text='<%#_rm.GetString(ResKeys.AddEmailLabel) %>'></asp:Label>
                        <asp:TextBox ID="uiNewEmail" runat="server" Width="249px"></asp:TextBox>
                        <asp:Button ID="uiAddNewEmail" runat="server" Text='<%#_rm.GetString(ResKeys.AddNewEmailButton) %>' OnClick="uiAddNewEmail_Click" /> 
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Repeater ID="uiEmailList" runat="server">
                            <HeaderTemplate>
                                <table width="400px">
                                <tr><td align="center" colspan="2">
                                    <asp:Label ID="lblEmailListHeader" runat="server" Text='<%#_rm.GetString(ResKeys.EmailListHeader) %>'></asp:Label>
                                </td></tr>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <asp:Label ID="uiEmailItem" runat="server" Text='<%#Container.DataItem%>'></asp:Label>
                                    </td>
                                    <td align="right">
                                        <asp:CheckBox CssClass="checkBox" ID="uiRemoveEmail" runat="server" Text='<%#_rm.GetString(ResKeys.RemoveEmail) %>' AutoPostBack="true" OnCheckedChanged="uiRemoveEmail_CheckedChanged"/>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table>
                            </FooterTemplate>
                        </asp:Repeater>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Button ID="uiSave" runat="server" Text='<%#_rm.GetString(ResKeys.SaveButton) %>' OnClick="uiSave_Click" />
            <asp:Button ID="uiCancel" runat="server" Text='<%#_rm.GetString(ResKeys.CancelButton) %>' OnClick="uiCancel_Click" />
        </td>
    </tr>
</table>
