//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using Evpo.DocCirc.MySqlDL;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.Biz
{
    public class UserNotificationData
    {
        protected NotificationAccess _notifAccess;
        protected UserInfo _userInfo;

        public UserNotificationData(UserInfo userInfo, DataConnection con, SettingKeeper sk)
        {
            _notifAccess = new NotificationAccess(userInfo.UserId, con.DBConnection, sk);
            _userInfo = userInfo;

        }

        public NotificationItem[] GetUserNotifications()
        {
            return _notifAccess.GetUserNotifications(_userInfo.UserId);
        }

    }
}
